##
##  jsinspect.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2019 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_jsinspect      0.12.7
%define       V_jsinspect_snap 20190105

#   package information
Name:         jsinspect
Summary:      JavaScript Structurally Similar Code Detector
URL:          https://github.com/danielstjules/jsinspect
Vendor:       Daniel St. Jules
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      MIT
Version:      %{V_jsinspect}
Release:      20190105

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/jsinspect/jsinspect-%{V_jsinspect}-%{V_jsinspect_snap}.tar.gz
Source1:      jsinspect.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    Detect copy-pasted and structurally similar code. The inspector
    identifies duplicate code, even if modified, as well as common
    boilerplate or logic that should be the target of refactoring.

%track
    prog jsinspect = {
        version   = %{version}
        url       = https://github.com/danielstjules/jsinspect/releases
        regex     = (\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/jsinspect
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE jsinspect.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/jsinspect
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/jsinspect/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

